org.ajax4jsf.component

## Class UIAjaxSupport

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UICommand
      - - org.ajax4jsf.component.AjaxActionComponent
        - - org.ajax4jsf.component.UIAjaxSupport

- All Implemented Interfaces:
    javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.component.AjaxSupport, org.ajax4jsf.event.AjaxSource
  Direct Known Subclasses:
    HtmlAjaxSupport

      public abstract class UIAjaxSupport
      extends org.ajax4jsf.component.AjaxActionComponent
      implements org.ajax4jsf.component.AjaxSupport

  Component for append ajax functions to any control component. Append action functionality to non-action control, setup javascript events for parent component,
  Version:
    $Revision: 1.1.2.3 $ $Date: 2007/02/12 17:46:52 $
  Author:
    shura (latest modification by $Author: alexsmirnov $)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `AJAX_SUPPORT_SET`
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `DEFAULT_RENDERER_TYPE`

    - ### Fields inherited from class org.ajax4jsf.component.AjaxActionComponent

      `FOCUS_DATA_ID`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

    - ### Fields inherited from interface org.ajax4jsf.component.AjaxComponent

      `AJAX_COMPONETT_PARAMETER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIAjaxSupport()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `decode(javax.faces.context.FacesContext context)`
    `java.lang.String` | `getEventString()`
    `protected javax.faces.component.UIComponent` | `getSingleComponent()`
    `void` | `setParent(javax.faces.component.UIComponent parent)` After nornal setting `parent` property in case of created component set Ajax properties for parent.
    `void` | `setParentProperties(javax.faces.component.UIComponent parent)`
    `void` | `setValueExpression(java.lang.String name, javax.el.ValueExpression binding)`

    - ### Methods inherited from class org.ajax4jsf.component.AjaxActionComponent

      `addAjaxListener, broadcast, getAjaxListeners, queueEvent, removeAjaxListener, setupReRender, setupReRender`

    - ### Methods inherited from class javax.faces.component.UICommand

      `addActionListener, getAction, getActionExpression, getActionListener, getActionListeners, getFamily, getValue, isImmediate, removeActionListener, restoreState, saveState, setAction, setActionExpression, setActionListener, setImmediate, setValue`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.ajax4jsf.component.AjaxSupport

      `getEvent, getOnsubmit, isDisableDefault, setDisableDefault, setEvent, setOnsubmit`

    - ### Methods inherited from interface org.ajax4jsf.component.AjaxComponent

      `getData, getEventsQueue, getFocus, getOnbeforedomupdate, getOncomplete, getProcess, getRequestDelay, getReRender, getSimilarityGroupingId, getStatus, getTimeout, isAjaxSingle, isBypassUpdates, isIgnoreDupResponses, isLimitToList, setAjaxSingle, setBypassUpdates, setData, setEventsQueue, setFocus, setIgnoreDupResponses, setLimitToList, setOnbeforedomupdate, setOncomplete, setProcess, setRequestDelay, setReRender, setSimilarityGroupingId, setStatus, setTimeout`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### DEFAULT_RENDERER_TYPE

          public static final java.lang.String DEFAULT_RENDERER_TYPE

      See Also:
        Constant Field Values

    - #### AJAX_SUPPORT_SET

          public static final java.lang.String AJAX_SUPPORT_SET

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIAjaxSupport

          public UIAjaxSupport()

  - ### Method Detail

    - #### setValueExpression

          public void setValueExpression(java.lang.String name,
                                javax.el.ValueExpression binding)

      Overrides:
        `setValueExpression` in class `javax.faces.component.UIComponent`

    - #### getEventString

          public java.lang.String getEventString()

      Specified by:
        `getEventString` in interface `org.ajax4jsf.component.AjaxSupport`
      Returns:
        JavaScript eventString. Rebuild on every call, since can be in loop ( as in dataTable ) with different parameters.

    - #### decode

          public void decode(javax.faces.context.FacesContext context)

      Overrides:
        `decode` in class `javax.faces.component.UIComponentBase`

    - #### setParent

          public void setParent(javax.faces.component.UIComponent parent)

      After nornal setting `parent` property in case of created component set Ajax properties for parent.
      Overrides:
        `setParent` in class `javax.faces.component.UIComponentBase`
      See Also:
        `UIComponentBase.setParent(javax.faces.component.UIComponent)`

    - #### setParentProperties

          public void setParentProperties(javax.faces.component.UIComponent parent)

      Specified by:
        `setParentProperties` in interface `org.ajax4jsf.component.AjaxSupport`

    - #### getSingleComponent

          protected javax.faces.component.UIComponent getSingleComponent()

      Overrides:
        `getSingleComponent` in class `org.ajax4jsf.component.AjaxActionComponent`

Copyright © 2014. All Rights Reserved.